
# Requires
require 'PackerFiles'

# Top level Module for this gem.
module PackerFiles
   
   # Contains the Core classes/methods and everthing else.
   module Core

      # The Base class which defines interfaces that all PackerFile
      # classes must adhere to
      class Base
   
         # Do nothing. 
         def normalize; end
   
         # Return the name of the documentation file, for this class.
         def self.doc_file; end
      end

   end # Core
end # PackerFiles
