# Requires
require_relative 'Base'

module PackerFiles

   module Core

      # The Package class handles various packages that needs to be installed
      # as part of the initial system setup
      class Packages < Base

	# Specify attributes
	attr_accessor :list  

	# Documentation for this class 
	def self.doc_file
	   PackerFiles.DirPath('Core/example/Packages.txt').first
	end

	# Constructor to just specify accessor varibales
	def initialize
	  @list = []
	  yield self if block_given?
	end

      end

   end  # Core

end # PackerFiles
