# Network Configuration
<% if (@obj.is_static?) && ((@obj.type & PackerFiles::Core::Network::IPV4) > 0) -%>
network --device=<%= @obj.interface -%> --bootproto=static --ip=<%= @obj.ip -%> --netmask=<%= @obj.mask -%> --gateway=<%= @obj.gateway -%> --nameserver=<%= @obj.dns.join(',') -%>
<% elsif (@obj.is_static?) && ((@obj.type & PackerFiles::Core::Network::IPV6) > 0) -%>
network --device=<%= @obj.interface -%> --bootproto=static --ipv6=<%= @obj.ip -%> --netmask=<%= @obj.mask -%> --ipv6gateway=<%= @obj.gateway -%> --nameserver=<%= @obj.dns.join(',') -%>
<% elsif (!@obj.is_static?) && ((@obj.type & PackerFiles::Core::Network::IPV6) > 0) -%>
network --device=<%= @obj.interface -%> --bootproto=dhcp --noipv4
<% elsif (!@obj.is_static?) && ((@obj.type & PackerFiles::Core::Network::IPV4) > 0) -%>
network --device=<%= @obj.interface -%> --bootproto=dhcp --noipv6
<% end -%>

# Enable Firewall
firewall --enabled --trust=<%= @obj.interface -%> --ssh 

# Run SELINux in permissive mode
selinux --permissive

