# Initial User configuration
<% if @obj.uid.nil?
      uid = ''
   else
      uid = "--uid=#{@obj.uid}"
   end
   if @obj.groups.nil? || @obj.groups.empty?
      groups = ''
   else
      groups = "--groups=" + @obj.groups.join(",")
   end
-%>
user --name=<%= @obj.login -%> --password=<%= @obj.password -%> <%= uid -%> <%= groups %>

# Also specify the root password along with it.
rootpw <%= @obj.password -%>

# Enable shadow passwords with SHA-512 hash
auth --enableshadow --passalgo=sha512 

