# Apt Configuration Section
apt-cdrom-setup apt-setup/cdrom/set-first boolean false
apt-mirror-setup apt-setup/use_mirror boolean true
popularity-contest popularity-contest/participate boolean false
tasksel tasksel/first multiselect <%= @obj.tasks.join(',') %>
d-i apt-setup/restricted boolean <%= @obj.non_free %>
d-i apt-setup/multiverse boolean <%= @obj.non_free %>
d-i apt-setup/universe boolean   <%= @obj.contrib  %>
d-i pkgsel/upgrade select <%= @obj.upgrades %>
d-i pkgsel/update-policy select unattended-upgrades
d-i apt-setup/services-select multiselect security, updates

# Basic OS Settings and Configuration
d-i base-installer/kernel/override-image string <%= @obj.kernel %>
d-i finish-install/reboot_in_progress note
d-i grub-installer/only_debian boolean true
d-i grub-installer/with_other_os boolean true

