# Requires
require "Core/CDImage"

# An implementation for CDImage For RHEL
module PackerFiles
   module RHEL
      class CD < Core::CDImageImpl
 
         # Override method for getting the ISO name
	 def get_iso_name_pattern
	    'rhel-server-@release@-@arch@-dvd.iso'
         end

	 # Override method for getting checksums
	 def get_check_sum_pattern
	    ''
	 end

	 # Override method for checksum type
	 def get_check_sum_type
	    'none'
	 end

         # Override method for getting index URLs. This is a dummy URL
	 # which is not accessible.
         def index_urls
	    ['https://download.redhat.com/isos/@release@/@arch@/']
         end

      end
   end
end
