# Requires
require 'Utils/HashSerializer'

# The Remote Copier class is used for copying local files or directories
# into the remote host.
module PackerFiles
  module Provision
    class Base < Utils::HashSerializer 

       # Various accessors common for all Provisioners.
       hash_variable  :only, Array
       hash_variable  :except, Array
       hash_variable  :type

       # attribute accessor
       attr_accessor   :os
    
    end
  end
end
