# Requires
require_relative 'Base'

# The Remote Copier class is used for copying local files or directories
# into the remote host.
module PackerFiles
  module Provision
    class Copy < Base 

       # Various accessors
       hash_variable  :source
       hash_variable  :destination
    
       # Constructor yields self
       def initialize(&block)
	  yield self if block_given?
	  @type = 'file'
       end 

    end
  end
end
